
QGIS Application - Bug report #4016

Rotation based on feature attribute in Rule based renderer does not work.

2011-06-23 04:01 PM - cgsbob -

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.10.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 14003

Description

Steps to reproduce this problem:

1) Display point feature property.

2) Select Rule-based renderer.

3) Click on rule "(no filter)" and then click on Refine->Add categories.

4) Select "Column" attribute.

5) Select attribute used to rotate the symbol in Advance->Rotation field.

6) Change the symbol to the arrow symbol. 

7) Click on "Classify" and then OK

8) Click OK and you will see that all of the arrows are pointing up rather then in the direction stored in the attribute specified in 5)

History

#1 - 2011-12-16 02:12 PM - Giovanni Manghi

- Target version set to Version 1.7.4

#2 - 2012-04-16 06:28 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

- Affected QGIS version set to master

#3 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#4 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#5 - 2015-08-05 09:08 PM - Nyall Dawson

- Affected QGIS version changed from master to 2.10.0

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- Pull Request or Patch supplied set to No

Fixed in 2.10
